/***************************************************************************
 *   Copyright (C) 2007 by David Lopez Vinacua                             *
 *   david@bajavista.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* * * * * * * * * * * * * * * * * * * * *
 *  vfsrecycle_clean.h                   *
 *  definitions for recycle can cleaning *
 * * * * * * * * * * * * * * * * * * * * *
 *
 * Created:
 *  130307 David Lopez
 * Modified:
 *
 */

#ifndef _VFSRECYCLE_CLEAN_H_
#define _VFSRECYCLE_CLEAN_H_

typedef struct          // Params (config)
    {
    char        tcN[64];    // Trash Can name. Default: "recycle"
    char        sR[128];    // Storage root. Default: "" (empty)
    char        aP[64];     // Attributes file preffix
    char        sC[256];    // Storage classes to scan. Default: "" (empty). Multiple values come null terminated each
    short       scp;        // Current position at sC[]
    short       gD;         // Grace days: days to preserve deleted files. Older ones are removed. Default: 3
    } t_vfsr_par;

typedef struct          // (Local) attributes
    {
    int         gD;         // Grace days
    
    } t_vfs_atr;

#endif // _VFSRECYCLE_CLEAN_H_
